%define name	Gubed
%define version	0.2.2
%define release %mkrel 4
%define Summary Gubed PHP Debugger

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Url:		http://sourceforge.net/projects/gubed/
Source0:	%{name}%{version}.tar.bz2
#Copied from source/Client/src/bitmaps/gubed.xpm file.
Source1:	%{name}-README.urpmi.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	apache php mod_php
%define	_requires_exceptions pear\(.*\)
BuildRequires:	wxGTK-devel >= 2.6 ImageMagick

%description
Gubed PHP Debugger is, as the name suggests, a program to debug  PHP scripts.
It is not, as some people first believe, a PHP syntax checker. That is,
it wont tell you where you forgot to put an ending bracket. It is rather a
debugger to find logical errors, like 'why does this if-statement not occur'
or 'why does that loop never end'. The main goals is to provide a free
(as in beer and freedom), easy to use, easy to install and usable PHP debugger.
It currently supports stepping through code, watching contents of variables and
setting breakpoints (line and conditional). 

%description -l nl
Gubed PHP Debugger is, zoals de naam suggereerd, een applicatie voor het
debuggen van PHP scripts. Het is niet, zoals sommigen aannemen, een PHP
syntax checker. Het is meer een debugger om logische fouten te ontdekken,
zoals 'waarom wordt dit if-statement niet uitgevoerd' or 'waarom blijft
deze loop toch gaan'. Het voornaamste doel is het aanbieden van de vrije
(alsin bier en vrijheid), intuitieve en eenvoudig te installeren PHP debugger.
Momenteel is er ondersteuning voor het 'lopen' door code, waarde van
variabelen monitoren en breakpoints zetten (op regel of voorwaarden).

%prep 
%setup -q -n %{name}
bzcat %{SOURCE1} > README.urpmi

%build
alias aclocal=aclocal-1.9 
cd Client
#Execute the build for the Client package.
aclocal-1.9
libtoolize --automake --force --copy
automake-1.9 -a -c
autoconf
%configure --with-wx-config=wx-config-ansi
%make

#Now execute the build for the Proxy package.
cd ../Proxy
aclocal-1.9
libtoolize --automake --force --copy
automake-1.9 -a -c
autoconf
%configure 
%make


%install
rm -rf %{buildroot}

%makeinstall_std -C Client
%makeinstall_std -C Proxy

#Copy the server scripts to the webroot.
install -d %{buildroot}/var/www/html/%{name}
cp -r ServerScripts/*  %{buildroot}/var/www/html/%{name}

#now create the menu entry for this package.
install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): command="gbdclient" \
		icon="%{name}.png" \
		needs="x11" \
		title="%{name}" \
		longtitle="%{Summary}" \
		section="More Applications/Development/Tools" \
		xdg="yes"
EOF

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;Debugger;X-MandrivaLinux-MoreApplications-Development-Tools;
EOF

#resize the icons and place them in the appropriate dirs.
install -d %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert -size 16x16 Client/src/bitmaps/gubed.xpm %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 Client/src/bitmaps/gubed.xpm %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 Client/src/bitmaps/gubed.xpm %{buildroot}%{_liconsdir}/%{name}.png

%post 
%{update_menus} 

%postun 
%{clean_menus} 

%clean 
rm -rf %{buildroot}

%files
%defattr(-, root, root,0755)
%doc ./Client/README ./ServerScripts/docs/* README.urpmi
%{_bindir}/*
%{_datadir}/gbdclient
/var/www/html/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Sep 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-4mdv2007.0
- don't let apache own Gubed directory

* Thu Sep 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-3mdv2007.0mdv2007.0
- add xdg menu
- use 48x48 for large icon size in stead of 64x64
- cleanups

* Fri Oct 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-2mdk
- fix requires

* Thu Aug 11 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-1mdk
- inital build, based on package by Hans de Raad <hcderaad@wanadoo.nl>
